<?
include 'config.php';
include 'func.php';
head();
ban();

if (!ctype_digit($_GET['us'])){header('Location: index?'.SID);die;}
$nk = intval($_GET['us']);
$golos = intval($_POST['golos']);
$select = mysql_query ("Select * from profile where id='".$nk."'");

$inf = mysql_fetch_assoc($select);

if ($inf == 0){

echo "Юзер не найден. Возможно ник удалён.<br/>";
navig();
foot();
exit();
}

if ( $golos > 100 AND $golos == 0 ) {
    

echo "Ошибка.<br/>";
navig();
foot();
exit();
}



if ( $inf[id] == $user[id]) {
    

echo "Вы не можете за себя голосовать.<br/>";
navig();
foot();
exit();
}

mysql_query ("Select * from add_rayting WHERE (user_1 = '".$user['id']."') AND (user_2 = '".$id_session."')");
if(mysql_affected_rows() != NULL) {
echo "Вы уже голосовали.<br/>";
navig();
foot();
exit();
} 


if ( $golos <= 10  ) {
mysql_query("INSERT INTO `add_rayting` SET `user_1` = '".$inf['id']."', `user_2` = '".$user['id']."', `golos` = '".$golos."'");
$to = $inf[id];
$msg = 'За вашу страничку проголосовал(а) '.$user['user'].' +'.$golos;


header('Location: '.$inf[id].'');

} else {
    
    if ( $golos == 15 AND $user['many'] < 10 ) {
        
        echo 'У вас не достаточно средств';
        
    } else {
        mysql_query("INSERT INTO `add_rayting` SET `user_1` = '".$inf['id']."', `user_2` = '".$user['id']."', `golos` = '".$golos."'");
        $to = $inf[id];
       
        
        $res_rur = $user['many'] - 10;
        mysql_query ("UPDATE profile SET `many` = '".$res_rur."' WHERE `id` = '".$user['id']."'");
        header('Location: '.$inf[id].'');
        
        
    }
    
    if ( $golos == 25 AND $user['many'] < 20 ) {
        
        echo 'У вас не достаточно средств';
        
    } else {
        mysql_query("INSERT INTO `add_rayting` SET `user_1` = '".$inf['id']."', `user_2` = '".$user['id']."', `golos` = '".$golos."'");
        $to = $inf[id];
        $msg = 'За вашу страничку проголосовал(а) '.$user['user'].' +'.$golos;

        $res_rur = $user['many'] - 20;
        mysql_query ("UPDATE profile SET `many` = '".$res_rur."' WHERE `id` = '".$user['id']."'");
        header('Location: '.$inf[id].'');
        
        
    }
    
    if ( $golos == 50 AND $user['many'] < 35 ) {
        
        echo 'У вас не достаточно средств';
        
    } else {
        mysql_query("INSERT INTO `add_rayting` SET `user_1` = '".$inf['id']."', `user_2` = '".$user['id']."', `golos` = '".$golos."'");
        $to = $inf[id];
        $msg = 'За вашу страничку проголосовал(а) '.$user['user'].' +'.$golos;

        $res_rur = $user['many'] - 35;
        mysql_query ("UPDATE profile SET `many` = '".$res_rur."' WHERE `id` = '".$user['id']."'");
        header('Location: '.$inf[id].'');
        
        
    }
    
    if ( $golos == 100 AND $user['many'] < 75 ) {
        
        echo 'У вас не достаточно средств';
        
    } else {
        mysql_query("INSERT INTO `add_rayting` SET `user_1` = '".$inf['id']."', `user_2` = '".$user['id']."', `golos` = '".$golos."'");
        $to = $inf[id];
        $msg = 'За вашу страничку проголосовал(а) '.$user['user'].' +'.$golos;

        $res_rur = $user['many'] - 75;
        mysql_query ("UPDATE profile SET `many` = '".$res_rur."' WHERE `id` = '".$user['id']."'");
        header('Location: '.$inf[id].'');
        
        
    }
}
